Bug 979991 - Miss npm_global_module_list file in the template of Node.js applications
Summary: Miss npm_global_module_list file in the template of Node.js applications
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Containers
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Hiro Asari
QA Contact: libra bugs
Zhe Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-01 09:36 UTC by Zhe Wang
Modified: 2015-05-14 23:22 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-29 12:47:54 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Zhe Wang 2013-07-01 09:36:44 UTC
Description of problem:
The npm_global_module_list file is missing under the template of Node.js applications, but the file is referred by both deplist.txt and README.md files.

Version-Release number of selected component (if applicable):
devenv_3430

How reproducible:
always

Steps to Reproduce:
1. create a Node.js application

2. Check the README.md file of Node.js cartridge
https://github.com/openshift/origin-server/blob/master/cartridges/openshift-origin-cartridge-nodejs/README.md

3. list the contents under the app's repo
ll ./<app_repo>

4. check the code in both master and stage branch in
https://github.com/openshift/origin-server/tree/master/cartridges/openshift-origin-cartridge-nodejs/usr/template

Actual results:
The README.md file clearly indicates that npm_global_module_list file should be included in the template repo, but in Step 3 and Step 4, the file is missing, specifically, in Step 3, the results are:

-rw-rw-r--. 1 zhe zhe  444 Jul  1 15:37 deplist.txt
-rw-rw-r--. 1 zhe zhe 5235 Jul  1 15:37 index.html
drwxrwxr-x. 2 zhe zhe 4096 Jul  1 15:37 node_modules
-rw-rw-r--. 1 zhe zhe  642 Jul  1 15:37 package.json
-rw-rw-r--. 1 zhe zhe  175 Jul  1 15:37 README.md
-rwxrwxr-x. 1 zhe zhe 4770 Jul  1 15:37 server.js


Expected results:
There should be a npm_global_module_list file under the repo of Node.js applications' template, which is referred in both deplist.txt and README.md files.

Additional info:

Comment 1 Jhon Honce 2013-07-01 15:20:17 UTC
Is this a documentation error or should this file be in the template application?

Comment 2 Hiro Asari 2013-07-01 21:05:02 UTC
This is a documentation issue. The file, if available, is read, but its absence should not prevent application from functioning.

I will fix the documentation shortly.

Comment 3 Hiro Asari 2013-07-01 21:08:55 UTC
It is a documentation issue, but the bits about the file's functions above are incorrect.

Either way, documentation will be fixed.

Comment 4 openshift-github-bot 2013-07-01 23:11:59 UTC
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/7786b8bc04b0be973e0a81cd3cc0452d81ce2583
Bug 979991

Clarify the purpose of npm_global_module_list

Comment 5 Qiushui Zhang 2013-08-27 02:47:07 UTC
Tested on devenv_3711. 

File "npm_global_module_list" is in "versions/0.6/configuration" only, which is the same as described in webpage "http://openshift.github.io/documentation/oo_cartridge_guide.html#nodejs".

So change the bug to "verified"


Note You need to log in before you can comment on or make changes to this bug.